> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compute-desk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Vendors

> Get list of available vendors.

Returns only vendors that support procurement.

Returns vendors currently supporting GPU procurement.

## Marketplace vendors

Some vendors (like Hyperstack, Scaleway, MassedCompute, Crusoe, DigitalOcean, and others) are accessed through a GPU marketplace. When using the API, specify the vendor name directly (e.g., `massedcompute`, `hyperstack`, `scaleway`).


## OpenAPI

````yaml GET /available_vendors
openapi: 3.1.0
info:
  title: Supply Service
  description: GPU offers querying and provisioning service
  version: 0.1.0
servers:
  - url: https://supply-api.compute-desk.com
security: []
paths:
  /available_vendors:
    get:
      tags:
        - Vendors
      summary: Get Available Vendors
      description: |-
        Get list of available vendors.

        Returns only vendors that support procurement.
      operationId: get_available_vendors_available_vendors_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableVendorsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AvailableVendorsResponse:
      properties:
        vendors:
          items:
            type: string
          type: array
          title: Vendors
        description:
          additionalProperties:
            type: string
          type: object
          title: Description
          description: Description of each vendor
      type: object
      required:
        - vendors
        - description
      title: AvailableVendorsResponse
      description: Response for available vendors.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````